using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;
using System.Text.Json.Serialization;

namespace Insight.Infrastructure.Entities
{
    [BsonIgnoreExtraElements]
    public class HostMainboardEntity
    {
        [BsonId, BsonRepresentation(BsonType.ObjectId), JsonPropertyName("id")]
        public string? Id { get; set; }

        [BsonElement("_host"), BsonRepresentation(BsonType.ObjectId), JsonPropertyName("host")]
        public string? Host { get; set; }

        [BsonElement("insert")]
        public DateTime? Insert { get; set; }

        [BsonElement("update")]
        public DateTime? Update { get; set; }

        [BsonElement("company")]
        public string? Company { get; set; }

        [BsonElement("name")]
        public string? Name { get; set; }

        [BsonElement("serial")]
        public string? Serial { get; set; }

        [BsonElement("bios")]
        public string? Bios { get; set; }

        [BsonElement("version")]
        public string? Version { get; set; }

        [BsonElement("Date")]
        public DateTime? Date { get; set; }
    }
}